#include <stdio.h>
#include <string.h>

void bad_func() {
	char v[500];
	memset(v + 0, 0x41, 500);
	memset(v + 500, 0x42, 4);
	memcpy(v + 504, "\x9f\x83\x04\x08", 4);
	memset(v + 8, 0xf4, 400);
}

int main() {
	bad_func();
	return 0;
}
